package com.gh.gamecenter.feedback.provider

import android.content.Context
import androidx.appcompat.app.AppCompatActivity
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.common.entity.CommunityEntity
import com.gh.gamecenter.common.entity.LinkEntity
import com.gh.gamecenter.common.entity.SimpleGameEntity
import com.gh.gamecenter.common.entity.SuggestType
import com.gh.gamecenter.feature.provider.ILinkDirectUtilsProvider
import com.gh.gamecenter.core.utils.ToastUtils
import com.gh.gamecenter.feature.exposure.ExposureEvent
import com.gh.gamecenter.feedback.view.suggest.SuggestionActivity

@com.therouter.inject.ServiceProvider
class LinkDirectUtilsProviderImpl : ILinkDirectUtilsProvider {

    override fun directToLinkPage(
        context: Context,
        linkEntity: LinkEntity,
        entrance: String,
        path: String
    ) {
        ToastUtils.toast("调用->LinkDirectUtilsProviderImpl.directToLinkPage")
    }

    override fun directToLinkPage(
        context: Context,
        linkEntity: LinkEntity,
        entrance: String,
        path: String,
        exposureEvent: ExposureEvent?
    ) {
        ToastUtils.toast("调用->LinkDirectUtilsProviderImpl.directToLinkPage")
    }

    override fun directToSuggestion(context: Context, type: SuggestType, requestCode: Int?) {
        ToastUtils.toast("调用->LinkDirectUtilsProviderImpl.directToSuggestion")
    }

    override fun directToSuggestion(
        context: Context,
        type: SuggestType,
        suggestHintType: String?,
        content: String?,
        isQaFeedback: Boolean,
        qaContentId: String
    ) {
        ToastUtils.toast("调用->LinkDirectUtilsProviderImpl.directToSuggestion")
    }

    override fun directToSuggestion(context: Context, type: SuggestType, hiddenHint: String) {
        ToastUtils.toast("调用->LinkDirectUtilsProviderImpl.directToSuggestion")
    }

    override fun directToCommunityColumn(
        context: Context,
        community: CommunityEntity?,
        subjectId: String,
        entrance: String?,
        path: String?
    ) {
        ToastUtils.toast("调用->LinkDirectUtilsProviderImpl.directToCommunityColumn")
    }

}